Search Results for

Show / Hide Table of Contents

# Class Colors

The default ColorSchemes for the application.

##### Inheritance

System.Object
Colors

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public static class Colors

### Properties

#### Base

The base color scheme, for the default toplevel views.

##### Declaration

    public static ColorScheme Base { get; set; }

##### Property Value

Type | Description
--- | ---
ColorScheme |

##### Remarks

This API will be deprecated in the future. Use ColorSchemes instead (e.g. `edit.ColorScheme = Colors.ColorSchemes["Base"];`

#### ColorSchemes

Provides the defined ColorSchemes.

##### Declaration

    public static Dictionary<string, ColorScheme> ColorSchemes { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.Dictionary<System.String, ColorScheme> |

#### Dialog

The dialog color scheme, for standard popup dialog boxes

##### Declaration

    public static ColorScheme Dialog { get; set; }

##### Property Value

Type | Description
--- | ---
ColorScheme |

##### Remarks

This API will be deprecated in the future. Use ColorSchemes instead (e.g. `edit.ColorScheme = Colors.ColorSchemes["Dialog"];`

#### Error

The color scheme for showing errors.

##### Declaration

    public static ColorScheme Error { get; set; }

##### Property Value

Type | Description
--- | ---
ColorScheme |

##### Remarks

This API will be deprecated in the future. Use ColorSchemes instead (e.g. `edit.ColorScheme = Colors.ColorSchemes["Error"];`

#### Menu

The menu bar color

##### Declaration

    public static ColorScheme Menu { get; set; }

##### Property Value

Type | Description
--- | ---
ColorScheme |

##### Remarks

This API will be deprecated in the future. Use ColorSchemes instead (e.g. `edit.ColorScheme = Colors.ColorSchemes["Menu"];`

#### TopLevel

The application toplevel color scheme, for the default toplevel views.

##### Declaration

    public static ColorScheme TopLevel { get; set; }

##### Property Value

Type | Description
--- | ---
ColorScheme |

##### Remarks

This API will be deprecated in the future. Use ColorSchemes instead (e.g. `edit.ColorScheme = Colors.ColorSchemes["TopLevel"];`